/************************************************************/
/*
/*      Typography CSS
/*
/************************************************************/
.wp-site-blocks * {
	-webkit-font-smoothing: antialiased;
}

:is(.wp-site-blocks, .is-root-container) {
	h1, h2, h3, h4, h5, h6, big, p, span, label, blockquote, q, b, strong, i, em, mark, small, li, dt, dd {
		word-break: keep-all;
		word-wrap: normal;
		
		&:is(h1, h2, h3, h4, h5, h6, big) {
			text-wrap: balance;
		}
		
		&:is(p, span, label, blockquote, q, b, strong, i, em, mark, small, li, dt, dd) {
			text-wrap: pretty;
		}
	}

    .h1 {
        /* Add theme-specific h1 typography here */
    }
    
    .h2 {
        /* Add theme-specific h2 typography here */
    }
    
    .h3 {
        /* Add theme-specific h3 typography here */
    }
    
    .h4 {
        /* Add theme-specific h4 typography here */
    }
    
    .h5 {
        /* Add theme-specific h5 typography here */
    }
    
    .h6 {
        /* Add theme-specific h6 typography here */
    }
    
    a[href] {
        transition: color var(--wp--custom--duration--short);
        
        &:not(:hover, :focus,:active) {
            color: var(--wp--custom--color--default--accent);
        }
    }
}

@media (width <= 500px) {
	h1, h2, h3, h4, h5, h6, p, span, label, blockquote, q, b, strong, i, em, mark, small, li, dt, dd {
		overflow-wrap: break-word;
		word-break: break-word;
		
		&:not(.keep-all) {
			hyphens: auto;
			hyphenate-limit-chars: 12 6 6; /* Prevent hyphenation on shorter words */
		}
	}
}

@media (width <= 300px) {
	h1, h2, h3, h4, h5, h6, p, span, label, blockquote, q, b, strong, i, em, mark, small, li, dt, dd {
		hyphens: auto;
		hyphenate-limit-chars: unset; /* Remove hyphenation word-length requirement */
	}
}